[![Contentstack](/public/contentstack.png)](https://www.contentstack.com/)

# Create a marketing website using Astro Framework

About Contentstack: Contentstack is a headless CMS with an API-first approach that puts content at the centre. It is designed to simplify the process of publication by separating code from content.

About this project: Astro is an all-in-one web framework for building fast, content-focused websites.
Astro uses Astro Island architecture to generate website with zero client-side JavaScript, by default. Use a frontend UI component built with React, Preact, Svelte, Vue, SolidJS, AlpineJS, or Lit and Astro will automatically render it to HTML ahead of time and then strip out all of the JavaScript. This keeps every site fast by default by removing all unused JavaScript from the page.



![contentstack-astro-starter-app](/public/starter-app.png)

## Live Demo

You can check the [live demo](https://contentstack-astro-starter-app.vercel.app/) to get first-hand experience of the website.

## Tutorial

We have created an in-depth tutorial on how you can create a starter website using the Contentstack's Node.js SDK and fetch its content using Contentstack.


## Documentation

- [Contentstack documentation](https://www.contentstack.com/docs/)
- [About Astro](https://docs.astro.build/en/concepts/why-astro/)
- [Contentstack Astro App Documentation](https://www.contentstack.com/docs/developers/sample-apps/build-a-starter-website-using-astro-and-contentstack/)
